Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJExport

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.optional.ide.VAJExport

public class VAJExport
extends Task

Export packages from the Visual Age for Java workspace. The packages are specified similar to all other MatchingTasks. Since the VA Workspace is not file based, this task is simulating a directory hierarchy for the workspace: The 'root' contains all project 'dir's, and the projects contain their respective package 'dir's. Example:

> <vajexport destdir="C:/builddir/source"> <include name="/MyVAProject/org/foo/subsystem1/**" /> <exclude name="/MyVAProject/org/foo/subsystem1/test/**"/> </vajexport>

exports all packages in the project MyVAProject which start with 'org.foo.subsystem1' except of these starting with 'org.foo.subsystem1.test'. There are flags to choose which items to export: exportSources: export Java sources exportResources: export project resources exportClasses: export class files exportDebugInfo: export class files with debug info (use with exportClasses) default is exporting Java files and resources.

Author:
  Wolf Siberski, TUI Infotec GmbH

Field Summary
`protected java.io.File` | `destDir`
`protected boolean` | `exportClasses`
`protected boolean` | `exportDebugInfo`
`protected boolean` | `exportResources`
`protected boolean` | `exportSources`
`protected PatternSet` | `patternSet`
`protected boolean` | `useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`VAJExport()`

Method Summary
`PatternSet.NameEntry` | `createExclude()` add a name entry on the exclude list
`PatternSet.NameEntry` | `createInclude()` add a name entry on the include list
`void` | `execute()` do the export
`void` | `export(com.ibm.ivj.util.base.Package[] packages)` export the array of Packages
`protected VAJWorkspaceScanner` | `getWorkspaceScanner()` Returns the directory scanner needed to access the files to process.
`void` | `setDefaultexcludes(boolean useDefaultExcludes)` Sets whether default exclusions should be used or not.
`void` | `setDestdir(java.io.File destDir)` Set the destination directory into which the Java source files should be compiled.
`void` | `setExcludes(java.lang.String excludes)` Sets the set of exclude patterns.
`void` | `setExportClasses(boolean doExport)`
`void` | `setExportDebugInfo(boolean doExport)`
`void` | `setExportResources(boolean doExport)`
`void` | `setExportSources(boolean doExport)`
`void` | `setIncludes(java.lang.String includes)` Sets the set of include patterns.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### destDir

    protected java.io.File destDir

### exportSources

    protected boolean exportSources

### exportResources

    protected boolean exportResources

### exportClasses

    protected boolean exportClasses

### exportDebugInfo

    protected boolean exportDebugInfo

### useDefaultExcludes

    protected boolean useDefaultExcludes

### patternSet

    protected PatternSet patternSet

Constructor Detail

### VAJExport

    public VAJExport()

Method Detail

### createExclude

    public PatternSet.NameEntry createExclude()

  add a name entry on the exclude list

### createInclude

    public PatternSet.NameEntry createInclude()

  add a name entry on the include list

### execute

    public void execute()
                 throws BuildException

  do the export
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### export

    public void export(com.ibm.ivj.util.base.Package[] packages)

  export the array of Packages

### getWorkspaceScanner

    protected VAJWorkspaceScanner getWorkspaceScanner()

  Returns the directory scanner needed to access the files to process.

### setDefaultexcludes

    public void setDefaultexcludes(boolean useDefaultExcludes)

  Sets whether default exclusions should be used or not.
  Parameters:
    `useDefaultExcludes` - "true"|"on"|"yes" when default exclusions should be used, "false"|"off"|"no" when they shouldn't be used.

### setDestdir

    public void setDestdir(java.io.File destDir)

  Set the destination directory into which the Java source files should be compiled.

### setExcludes

    public void setExcludes(java.lang.String excludes)

  Sets the set of exclude patterns. Patterns may be separated by a comma or a space.
  Parameters:
    `excludes` - the string containing the exclude patterns

### setExportClasses

    public void setExportClasses(boolean doExport)

### setExportDebugInfo

    public void setExportDebugInfo(boolean doExport)

### setExportResources

    public void setExportResources(boolean doExport)

### setExportSources

    public void setExportSources(boolean doExport)

### setIncludes

    public void setIncludes(java.lang.String includes)

  Sets the set of include patterns. Patterns may be separated by a comma or a space.
  Parameters:
    `includes` - the string containing the include patterns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.